﻿/* CSS Document */
/* Health Level (http://www.healthlevel.com) */
/* Copyright 2012 Health Level Inc. All rights reserved. */

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Dashboard Visual Unit (Table) */


/*.tablesorter-headerUnSorted {
 
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ MDS Reorder styles */

.mds-reorder-list {
    list-style-type: none;
    margin: 0;
    padding: 0;
    max-height: 440px;
    overflow: auto;
    width: 99%;
}
.mds-columns-checkbox {
    margin-top:4px;
}
.mds-jtarget-fields {
    float: right;
    display: -webkit-box;
    width: 220px;
}

.mds-reorder-list .mds-reorder-item {
    background: #4D4D4D repeat-x scroll 0% 100%;
    color: #FEFEFE;
    margin: 10px;
    padding: 5px;
    min-height: 27px;
    -moz-border-radius: 5px 5px 5px 5px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    cursor: move;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.mds-reorder-list .mds-reorder-name {
    font-size: 14px;
    display: inline-block;
    margin: 0 0 0 5px;
    padding: 5px 0 0 0;
}

.mds-reorder-list .mds-reorder-desc {
    display: none;
    font-weight: normal;
    font-size: 11px;
    line-height: 13px;
    color: #CACACA;
    margin: 0 0 0 5px;
}

.mds-reorder-list .mds-reorder-drag-img {
    width: 24px;
    height: 26px;
    margin: 0;
    padding: 0 0 0 28px;
    vertical-align: middle;
    position: relative;
    float: right;
}

.mds-reorder-list .mds-reorder-drag-div {
    height: auto;
    margin: 0;
    vertical-align: bottom;
    position: relative;
}

.mds-reorder-drag-item {
    background: none repeat scroll 0 0 #FBEC88;
    border: 1px solid #FAD42E;
    min-height: 40px;
    margin: 10px;
    padding: 5px;
    cursor: move !important;
    -moz-border-radius: 5px 5px 5px 5px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}

/*DrillThru Search styles*/

.nowrap {
    white-space: nowrap;
}

.form-label {
    position: absolute;
    left: 4px;
    top: 4px;
    color: #999;
    z-index: 10;
    transition: transform 150ms ease-out, font-size 150ms ease-out;
}

.focused .form-label {
    transform: translateX(350px);
    left: 0;
}

.form-input {
    width: -moz-available;
    width: -webkit-fill-available;
    width: fill-available;
    width: 100%;
    position: relative;
    padding: 2px 0px 5px 5px;
    outline: 0;
    border: 0.5px solid gray;
    box-shadow: 0 1px 0 0 #e5e5e5;
    transition: box-shadow 150ms ease-out;
    margin-right: 5px;
}

    .form-input .focus {
        box-shadow: 0 2px 0 0 blue;
    }

.clear_search_cross {
    position: relative;
    float: right;
    background: url(../../images/cross.png) no-repeat scroll 0 0 transparent;
    display: block;
    height: 10px;
    width: 10px;
    top: 6px;
    right: 90px;
    cursor: pointer;
}
/*DrillThru Search styles*/

/* end */
/* Bluebox - lets make it generic. Is there a reason for it to be under
    .dashboard-vu-params-table .measure-info? I guess not.
*/
.bluebox-title {
    border-bottom: solid 1px #D5E7F5;
    font-size: 12px;
    font-weight: bold;
    padding: 0 0 2px 3px;
}

.bluebox-subtitle {
    font-size: 12px;
    padding: 1px 0 0 3px;
    color: #7993A6;
}

.bluebox-content {
    font-size: 12px;
    font-weight: 400;
    padding: 1px 0 0 3px;
    color: #7993A6;
}

/* Arrow right left up down*/
.circle {
    height: 15px;
    width: 15px;
    background-color: gray;
    border-radius: 50%;
    display: block;
    float: right;
    margin-right: 10px;
}

i.float-right {
    float: right;
    margin-right: 10px;
}

i.float-left {
    float: left;
    margin: 0 10px 0 0px;
}

i.arrow {
    border: solid black;
    border-width: 0 3px 3px 0;
    display: inline-block;
    padding: 3px;
    cursor: pointer;
    margin-top: 5px;
}

/*.right {
	transform: rotate(-45deg);
	-webkit-transform: rotate(-45deg);
}

.left {
	transform: rotate(135deg);
	-webkit-transform: rotate(135deg);
}*/

.categoryUpArrow:hover, .categoryDownArrow:hover {
    color: #BCECBD;
}

.categoryUpArrow {
    /*transform: rotate(-135deg);
	transition: .5s;
	-webkit-transform: rotate(-135deg);*/
    cursor: pointer;
    color: #A7A8B5;
}

.categoryDownArrow {
    /*transform: rotate(45deg);
	transition: .5s;
	-webkit-transform: rotate(45deg);*/
    cursor: pointer;
    color: #A7A8B5;
}

.hide-category-item {
    display: none;
    -webkit-animation: fadeIn 1s;
    animation: fadeIn 1s;
}

@-webkit-keyframes fadeIn {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}

@keyframes fadeIn {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}
/* End of arrow css */

/* End of Bluebox*/

/* End of Bluebox*/
#refinementProfileHeader {
    font: normal 12px Lucida Console, Helvetica, Arial !important;
    margin: 7px 0 7px 0;
    color: #222222;
}

    #refinementProfileHeader * {
        font-family: Helvetica, Arial, "Lucida Sans" !important;
    }

.dashboard-vu-params-table td {
    white-space: inherit;
}

/* Create MDS */
.mds-input-long {
    display: block;
    width: 70%;
    height: auto;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857143;
    color: #555;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    -webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
}

    .mds-input-long:focus {
        border-color: #66afe9;
        outline: 0;
        -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
        box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
    }

.mds-input-group {
    float: right;
    display: -webkit-box
}

.mds-pre-short {
    display: block;
    width: 198px;
    height: 240px;
    margin-left: 13px;
    margin-top: 12px;
    line-height: 1.42857143;
    border: 1px solid #ccc;
    overflow: auto;
}

.mds-sort-buttons-short {
    display: block;
    width: 198px;
    height: 220px;
    /*padding: 6px 12px;
	padding-left:40px;*/
    line-height: 1.42857143;
    border: 1px solid #ccc;
    overflow: auto;
    margin-left: 58px
}

.mds-input-short {
    display: block;
    width: 175px;
    height: auto;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857143;
    color: #555;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    -webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    /*float:right;*/
}

select.mds-input-short {
    width: 200px;
}

.mds-input-short:focus {
    border-color: #66afe9;
    outline: 0;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
}

.mds-options {
    width: 750px;
    float: left;
}

.mds-button-delete {
    -webkit-text-fill-color: crimson;
    margin-left: 3px;
}

.mds-dropdown-select {
    width: 200px;
}

.mds-dropdown-select-runtime {
    width: 137px;
    margin-left: 5px
}

.mds-sort-button-runtime {
    margin-left: 5px
}

.mds-columns {
    width: 500px;
    float: right;
    height: 513px;
    overflow: auto;
}

.mds-columns-disable {
    pointer-events: none;
    color: gray;
    background-color: #f4f1f1;
}

#create_mds_dialog_wrapper {
    /* overflow:hidden;*/
}

.mds-reorder-list {
    overflow: visible !important;
}

    .mds-reorder-list .mds-reorder-drag-div {
        height: auto;
        margin-top: 10px;
        margin-left: 5px;
        vertical-align: bottom;
        position: relative;
        width: 400px;
    }

        .mds-reorder-list .mds-reorder-drag-div span {
            color: lightgray;
        }

.mds-reorder-option {
    height: 30px;
    width: 407px;
}

.input-label {
  /*  padding-left: 5px;*/
}

.mds-div-advanced-settings {
    border: solid;
    border-width: thin;
    border-color: lightgray;
}

.input-label-advance {
    color: steelblue;
    margin-left: 8px;
}

.mds-desc-text {
    float: right;
    font-weight: bold;
}

.mds-drill-hide-check {
    margin-top: 8.5px;
}

.mds-drill-hide {
    float: right;
}

.mds-options-table tr {
    height: 50px;
}

#AddMDSColumns {
    margin-top: 8px;
}

.mds-ui-editable {
    padding-right: 20px !important;
    /*background-image: url(../../images/edit-pencil-edit-allowed-24x24.png) !important;*/
    background-repeat: no-repeat !important;
    background-position: right !important;
}
/* End of Create MDS*/

.add-meta-data {
    cursor: pointer;
    color: #1F75CC;
}

    .add-meta-data:hover {
        text-decoration: underline;
    }
/* end */


